Page MenuHomeFreeBSD

x11-fm/krusader2: Update to 2.7.0.
ClosedPublic

Authored by rakuco on May 14 2018, 8:44 PM.

Details

Reviewers
tcberner
Group Reviewers
kde
Commits
rP470108: Update Krusader to 2.7.0.
Summary

This version is KF5-based.

Update pkg-message: instead of listing all ports that Krusader may
optionally use as runtime dependencies, point to Krusader's online
documentation so people know what to look for (the port names still need to
be determined though).

Test Plan

The port built fine on HEAD, and I was able to run it successfully here.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rakuco created this revision.May 14 2018, 8:44 PM

It would probably be good to svn copy a the original one to krusader2-kde4, so that the people sticking with KDE4 still have it.

tcberner accepted this revision.May 15 2018, 5:16 AM

The update part itself looks fine.

x11-fm/krusader2/pkg-plist
253 ↗(On Diff #42551)

^wrongly used PLIST_SUB -- I would assume these should be release-overview.docbook everywhere here.

This revision is now accepted and ready to land.May 15 2018, 5:16 AM
rakuco updated this revision to Diff 42617.May 16 2018, 8:07 AM

Replace bogus plist substitutions.

This revision now requires review to proceed.May 16 2018, 8:07 AM
rakuco updated this revision to Diff 42618.May 16 2018, 8:09 AM

Add CONFLICTS_INSTALL.

tcberner accepted this revision.May 16 2018, 8:19 AM
tcberner added inline comments.
x11-fm/krusader2/Makefile
15 ↗(On Diff #42618)

^ I think krusader2-kde4 suffices.

This revision is now accepted and ready to land.May 16 2018, 8:19 AM
rakuco updated this revision to Diff 42620.May 16 2018, 9:01 AM

Simplify CONFLICTS_INSTALL.

This revision now requires review to proceed.May 16 2018, 9:01 AM
This revision was not accepted when it landed; it landed in state Needs Review.May 16 2018, 9:11 AM
Closed by commit rP470108: Update Krusader to 2.7.0. (authored by rakuco). · Explain Why
This revision was automatically updated to reflect the committed changes.